Bug 973775 - One system can get at 'Default' and 'Inactive' reports at the same time
One system can get at 'Default' and 'Inactive' reports at the same time
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: Splice (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: wes hayutin
mkovacik
:
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-06-12 13:28 EDT by Vitaly Kuznetsov
Modified: 2013-10-01 06:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 06:56:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaly Kuznetsov 2013-06-12 13:28:03 EDT
Description of problem:
Sometimes a system gets into 'Default' and 'Inactive' report at the same time with different checkin dates. 

Version-Release number of selected component (if applicable):
ruby193-rubygem-splice_reports-0.0.5-19.el6sam

How reproducible:
alwaws

Steps to Reproduce:
1. Create checkins for a particular system for a month (every 4 hours)
2. Create Default and Inactive reports

Actual results:
System is reported twice

Expected results:
System should be reported as Active only

Additional info:
This issue can be mitigated by creating consolidated report with all Active/Inactive/Deleted systems included (GA plans).
Comment 1 wes hayutin 2013-06-18 09:25:01 EDT
https://github.com/splice/splice-reports/commit/e5697d83de695b85aa833fb8c712dcc6dc96742e

I believe this is fixed in the above commit. 
Moving to on_qa
Comment 3 Vitaly Kuznetsov 2013-06-21 11:25:37 EDT
Verified in ruby193-rubygem-splice_reports-0.0.5-27.el6sam.noarch
Comment 6 errata-xmlrpc 2013-10-01 06:56:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1390.html

Note You need to log in before you can comment on or make changes to this bug.